<?php

namespace Status\Status\Seeders;

use DB;
use Illuminate\Database\Seeder;

class StatusTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('statuses')->insert([
            [
                "id"                  => '1',
                "name"                => 'Ready',
                "code"                => 'ready',
                "description"         => 'Project created',
            ],
            [
                "id"                  => '2',
                "name"                => 'In progress',
                "code"                => 'in-progress',
                "description"         => 'One Annotation object Taken by an annotator',
            ],
            [
                "id"                  => '3',
                "name"                => 'Annotated',
                "code"                => 'annotated',
                "description"         => 'All annotation objects completed',
            ],
            [
                "id"                  => '4',
                "name"                => 'Approved',
                "code"                => 'approved',
                "description"         => 'All annotation object quality passed',
            ],
            [
                "id"                  => '5',
                "name"                => 'Closed',
                "code"                => 'closed',
                "description"         => 'The PM close the project',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'status.status.view',
                'name'      => 'View Status',
            ],
            [
                'slug'      => 'status.status.create',
                'name'      => 'Create Status',
            ],
            [
                'slug'      => 'status.status.edit',
                'name'      => 'Update Status',
            ],
            [
                'slug'      => 'status.status.delete',
                'name'      => 'Delete Status',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/status/status',
                'name'        => 'Status',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/status/status',
                'name'        => 'Status',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'status',
                'name'        => 'Status',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Status',
                'module'    => 'Status',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'status.status.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
